Bug 727000 - Package php-common provides php-gettext, but there is a real php-gettext package
Summary: Package php-common provides php-gettext, but there is a real php-gettext package
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: php-gettext
Version: rawhide
Hardware: All
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: David Nalley
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 739416 739417
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-07-31 23:10 UTC by Robert Scheck
Modified: 2011-11-13 01:32 UTC (History)
5 users (show)

Fixed In Version: php53-php-gettext-1.0.11-3.el5
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-10-04 21:16:39 UTC
Type: ---


Attachments (Terms of Use)

Description Robert Scheck 2011-07-31 23:10:10 UTC
Description of problem:
The php-common package provides php-gettext which overlaps with the real
php-gettext package. Unfortunately, the PHP gettext implementation is not
really complete and lacks e.g. pgettext(), so I can't use PHP gettext but
need to use php-gettext (the separate package).

This issue affects Fedora 14, 15, 16 and Rawhide as well as RHEL 5 and 6.

Version-Release number of selected component (if applicable):
php-5.3.6-4.fc16
php-5.3.6-2.fc15
php-5.3.6-1.fc14
php-5.3.2-6.el6
php53-5.3.3-1.el5_6.1
php-5.1.6-27.el5_5.3

How reproducible:
Everytime, see above.

Actual results:
Package php-common provides php-gettext, but there is a real php-gettext
package.

Expected results:
No more overlap or a better solution.

Additional info:
I'm open for all ideas, because I really need separate php-gettext package
for phpMyAdmin, PHP gettext is just an incomplete gettext implementation.

Comment 1 Remi Collet 2011-08-01 05:42:20 UTC
php provides sub-package or virtual provide for all available extensions, as reported by "php --modules". This is needed to properly manage dependency on this extension.

This conflict should have be detected during package review... :(

The only solution I think is to rename the php-gettext to something else.

Guidelines say : "Other packages should be named php-PackageName-%{version}-%{release}.%{arch}.rpm..." 
so, "php-php-gettext" (well not really friendly, but...)

Comment 2 Tim Jackson 2011-08-01 17:10:45 UTC
Robert, are you talking about https://launchpad.net/php-gettext/ being the package you need? Unfortunate upstream naming if so. I agree with Remi, it's the php-gettext package which is conflicting with the existing PHP extension; perhaps it can be renamed? Maybe php-phpgettext (also not really user friendly) would make it sound less like an "official" extension?

Comment 3 Remi Collet 2011-08-06 09:31:30 UTC
Reaffecting to php-gettext package

Comment 4 Robert Scheck 2011-09-18 00:53:18 UTC
David, would it be acceptable for you if I submit a re-review request for the
renaming as php-php-gettext (I'm also open for better package name ideas) and
once the new package is in, this package gets retired?

Comment 5 David Nalley 2011-09-18 01:12:39 UTC
That works for me. 

Thanks for working on this Robert.

Comment 6 Robert Scheck 2011-09-18 22:38:08 UTC
Opened review requests in bug #739416 and bug #739417. Let's keep this report
open until the reviews happened and this package can get retired.

Comment 7 Fedora Update System 2011-09-25 21:16:47 UTC
php-php-gettext-1.0.11-3.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/php-php-gettext-1.0.11-3.fc16

Comment 8 Fedora Update System 2011-09-25 21:17:40 UTC
php-php-gettext-1.0.11-3.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/php-php-gettext-1.0.11-3.fc15

Comment 9 Fedora Update System 2011-09-25 21:18:19 UTC
php-php-gettext-1.0.11-3.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/php-php-gettext-1.0.11-3.fc14

Comment 10 Fedora Update System 2011-09-25 21:18:49 UTC
php-php-gettext-1.0.11-3.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/php-php-gettext-1.0.11-3.el6

Comment 11 Fedora Update System 2011-09-25 21:19:42 UTC
php-php-gettext-1.0.11-3.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/php-php-gettext-1.0.11-3.el5

Comment 12 Fedora Update System 2011-09-25 21:20:30 UTC
php-php-gettext-1.0.11-3.el4 has been submitted as an update for Fedora EPEL 4.
https://admin.fedoraproject.org/updates/php-php-gettext-1.0.11-3.el4

Comment 13 Robert Scheck 2011-09-25 21:27:37 UTC
David, https://admin.fedoraproject.org/updates/FEDORA-EPEL-2009-0984 could be 
unpushed and afterwards deleted. Does that make sense to you? And if so, could
you perform this, please? Thank you :)

Comment 14 David Nalley 2011-09-25 21:46:37 UTC
Robert, 
Should be done in bodhi now.

Comment 15 Fedora Update System 2011-09-26 16:47:52 UTC
php-php-gettext-1.0.11-3.fc16 has been pushed to the Fedora 16 testing repository.

Comment 16 Fedora Update System 2011-10-04 21:16:23 UTC
php-php-gettext-1.0.11-3.fc16 has been pushed to the Fedora 16 stable repository.

Comment 17 Fedora Update System 2011-10-05 03:54:24 UTC
php-php-gettext-1.0.11-3.fc15 has been pushed to the Fedora 15 stable repository.

Comment 18 Fedora Update System 2011-10-05 03:57:57 UTC
php-php-gettext-1.0.11-3.fc14 has been pushed to the Fedora 14 stable repository.

Comment 19 Fedora Update System 2011-10-11 19:26:09 UTC
php-php-gettext-1.0.11-3.el6 has been pushed to the Fedora EPEL 6 stable repository.

Comment 20 Fedora Update System 2011-10-11 19:26:55 UTC
php-php-gettext-1.0.11-3.el5 has been pushed to the Fedora EPEL 5 stable repository.

Comment 21 Fedora Update System 2011-10-18 19:32:25 UTC
php-php-gettext-1.0.11-4.el4 has been pushed to the Fedora EPEL 4 stable repository.

Comment 22 Fedora Update System 2011-11-04 19:07:20 UTC
php53-php-gettext-1.0.11-3.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/php53-php-gettext-1.0.11-3.el5

Comment 23 Fedora Update System 2011-11-13 01:32:46 UTC
php53-php-gettext-1.0.11-3.el5 has been pushed to the Fedora EPEL 5 stable repository.


Note You need to log in before you can comment on or make changes to this bug.